# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeTransformation3d Class Reference

Convert cartesian_transformation_operator_3d to gp_Trsf
.

`#include <StepToGeom_MakeTransformation3d.hxx>`

Inheritance diagram for StepToGeom_MakeTransformation3d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeTransformation3d (const Handle(StepGeom_CartesianTransformationOperator3d)&CTO)
| Create tool and perform conversion .
Standard_EXPORT const gp_Trsf & | Value () const
| Return resulting transformation (defined only if IsDone()) .

## Private Attributes

gp_Trsf | myT

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeTransformation3d::StepToGeom_MakeTransformation3d | ( | const Handle(StepGeom_CartesianTransformationOperator3d)& | CTO | ) |

## Member Function Documentation

void StepToGeom_MakeTransformation3d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTransformation3d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeTransformation3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const gp_Trsf& StepToGeom_MakeTransformation3d::Value | ( |  | ) | const

## Field Documentation

gp_Trsf StepToGeom_MakeTransformation3d::myT `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeTransformation3d.hxx